[blfs-support] Phonon-backend-vlc-0.7.1 DOES NOT COMPILE

Ragnar Thomsen rthomsen6 at gmail.com
Tue Mar 11 03:27:38 PDT 2014


Try building with the CMake switch:
-DPHONON_BUILD_PHONON4QT5=OFF

Sincerely,
Ragnar

On Tue, Mar 11, 2014 at 4:50 AM,  <me at pc-networking-services.com> wrote:
> Hello,
>
> when trying to install phonon-backend-vlc by what is PUBLISHED in the book:
>
> mkdir build &&
> cd    build &&
>
> cmake -DCMAKE_INSTALL_PREFIX=$KDE_PREFIX \
>       -DCMAKE_INSTALL_LIBDIR=lib         \
>       -DCMAKE_BUILD_TYPE=Release         \
>       -Wno-dev .. &&
> make
>
> You get the following ERROR:
>
> -- Found LibVLCcore library path:/usr/lib/libvlccore.so
> -- Found LibVLC version: 2.1.3 (searched for: 0.0)
> -- Building against Phonon 4.2 API
> CMake Error at src/CMakeLists.txt:78 (qt5_use_modules):
>   Unknown CMake command "qt5_use_modules".
>
> What needs to be done to fix this error?
>
> If the compilation instructions are correct, then there is no way that
> this package has been tested and known to install as per the instructions,
> as it is clear to me that it DOES NOT compile.
>
> I downloaded a version from their git repository at:
>
> git clone git://anongit.kde.org/phonon-vlc
>
> and the EXACT same error occurs.
>
> I have no idea what needs to be added or removed from the CMakeLists.txt
> to make this work.
>
> I have BOTH qt4 and qt5 installed and the paths are set as per the latest
> BLFS 7.5 scripts.
>
> Regards,
>
> Christopher
>
> --
> http://linuxfromscratch.org/mailman/listinfo/blfs-support
> FAQ: http://www.linuxfromscratch.org/blfs/faq.html
> Unsubscribe: See the above information page



More information about the blfs-support mailing list